Summary: A library for handling of evs codec
Name: lib3gpp-evs
Version: 16.1.0
Release: 1%{?dist}
%undefine _disable_source_fetch
Source0: https://www.etsi.org/deliver/etsi_ts/126400_126499/126443/16.01.00_60/ts_126443v160100p0.zip
%define SHA256SUM0 2a54400cf74122b16a8fd806c254daf62235550d6e44527c75f7ba8a524c5c06
%define SRC ts_126443v160100p0.zip
%define INNER 26443-cc0_d80_e41_f21_g10-ANSI-C_source_code.zip
%define SRCDIR c-code
URL: http://www.etsi.org/deliver/etsi_ts/126400_126499/126443/16.01.00_60/ts_126443v160100p0.zip
License: ITU-T General Public License

%description
Encoder and decoder for evs codec. This is a reference implementation from www.etsi.org

#
#  Development subpackage
#
%package devel
Summary: Static libraries and header files for 3gpp evs development
Group: Development/Libraries
Provides: lib3gpp-evs-devel
Requires: lib3gpp-evs = %version

%description devel
The static libraries and header files needed for building evs codec in Asterisk


%prep
# Source0 gets fetched automatically to SOURCES directory and is now checked for sha256sum
echo "%SHA256SUM0  %SOURCE0" | sha256sum -c -
# Next step: unpack the fetched zip file (%SRC) to BUILD.
unzip -o %{_sourcedir}/%SRC
# Now unzip the inner zip %INNER
unzip -o %{_builddir}/%INNER
rm %{_builddir}/%SRCDIR/EVS_dec.exe
rm %{_builddir}/%SRCDIR/EVS_cod.exe
mv %{_builddir}/%SRCDIR %{name}-%{version}
%setup -T -D



%build
[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}
BUG=0 RELEASE=1 CFLAGS='-DNDEBUG -fPIC' make -j 16
cd build
rm decoder.o
gcc -shared -o lib3gpp-evs.so *.o

%install
mkdir -p %{buildroot}%{_includedir}/3gpp-evs
%{__install} -D -m 755 build/lib3gpp-evs.so %{buildroot}%{_libdir}/lib3gpp-evs.so
%{__install} -D -m 644 lib_*/*.h %{buildroot}%{_includedir}/3gpp-evs/

%files
%{_libdir}/lib3gpp-evs.so

%files devel
%defattr(-, root, root)
%{_includedir}/3gpp-evs/*

%clean
rm -rf %{_builddir}/%{name}-%{version}
rm %{_builddir}/%INNER
